Bug 885120 - Review Request: python-elfdata - Python wrapper to get ELF data
Summary: Review Request: python-elfdata - Python wrapper to get ELF data
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-07 14:39 UTC by Kushal Das
Modified: 2013-12-02 23:48 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-03 02:01:56 UTC
Type: ---
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Jos de Kloe 2012-12-07 23:24:32 UTC
the package builds fine using mock with target rawhide as well on my side, and produces 3 rpms. The rpmlint results on these are:

>rpmlint python-elfdata-0.2-1.fc19.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

>rpmlint python-elfdata-0.2-1.fc19.x86_64.rpm
python-elfdata.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/si\
te-packages/elfdata.so 0775L
1 packages and 0 specfiles checked; 1 errors, 0 warnings.

>rpmlint  python-elfdata-debuginfo-0.2-1.fc19.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

the software seems to work correct:

at the python prompt:

>>> import elfdata
>>> elfdata.get_buildid('/usr/bin/python')
['581d0eca14f240d039dea75937520809a6f02cfc']

gives the same buildid result as issuing
   eu-readelf -n /usr/bin/python
on the commandline.

>eu-readelf -n /usr/bin/python | tail -1
    Build ID: 581d0eca14f240d039dea75937520809a6f02cfc


My main complaint for this module is the lack of documentation.
(usage of the module may be obvious for those deeply involved into elf, but it wasn't for me). This is not directly related to the packaging, but since you are the author as well I have to mention it.

The only 3 lines of documentation in the doc string of the module
after issuing help(elfdata) on the python prompt are:

FUNCTIONS
    get_buildid(...)
        Does some magic

adding some more documentation would make this module
much more usefull to actual users I think.

Comment 2 Kushal Das 2012-12-10 06:07:38 UTC
Spec URL: http://kushal.fedorapeople.org/packages/python-elfdata.spec
SRPM URL: http://kushal.fedorapeople.org/packages/python-elfdata-0.4-1.fc17.src.rpm

The documentation will be updated by next release (within next 2-3 days), this is under heavy development as we need this for darkserver project to deploy.

Comment 3 Parag AN(पराग) 2012-12-12 14:24:08 UTC
Review:-

+ Package build fine in mock

+ rpmlint on rpms gave
python-elfdata.src: W: invalid-url Source0: https://github.com/downloads/kushaldas/elfdata/elfdata-0.4.tar.gz HTTP Error 404: Not Found
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

- Source verified with upstream as

+ follow python packaging guidelines

+ license is valid 

Suggestions:
* Package contains BR: python2-devel or python3-devel
See: http://fedoraproject.org/wiki/Packaging:Python#BuildRequires

* you may also want to remove 
buildroot
%clean
cleaning of buildroot in %install
python_sitearch macro


* Please add license, description in PKG-INFO file upstream

Comment 5 Parag AN(पराग) 2013-02-22 04:22:26 UTC
Thanks for the update.
Looks good.

APPROVED.

Comment 6 kushaldas@gmail.com 2013-02-22 04:25:22 UTC
New Package SCM Request
=======================
Package Name: python-elfdata
Short Description: Python wrapper to get ELF data
Owners: kushal
Branches: f17 f18 el6
InitialCC: kushal

Comment 7 Gwyn Ciesla 2013-02-22 13:19:53 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2013-02-22 16:44:01 UTC
python-elfdata-0.5-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-elfdata-0.5-2.el6

Comment 9 Fedora Update System 2013-02-22 19:04:06 UTC
python-elfdata-0.5-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 10 Fedora Update System 2013-04-03 02:01:58 UTC
python-elfdata-0.5-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.